import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_channel/flutter_channel.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_channel');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getChannelName', () async {
    expect(await FlutterChannel.getChannelName("channel_string"), '42');
  });
}
